## org.eclipse.emf.transaction.impl
Interface TransactionValidator.Factory

All Known Implementing Classes:
  TransactionalEditingDomainImpl.ValidatorFactoryImpl

Enclosing interface:
  TransactionValidator

    public static interface TransactionValidator.Factory

Interface that clients implement to define a validator factory.

Since:
  1.1

Field Summary
`static TransactionValidator.Factory` `INSTANCE` The shared default implementation of the validator factory interface.

Method Summary
`TransactionValidator` `createReadOnlyValidator()` Creates and returns a `TransactionValidator` which is used to validate a read write transaction.
`TransactionValidator` `createReadWriteValidator()` Creates and returns a `TransactionValidator` which is used to validate a read only transaction.

Field Detail

### INSTANCE

    static final TransactionValidator.Factory INSTANCE

  The shared default implementation of the validator factory interface.

Method Detail

### createReadOnlyValidator

    TransactionValidator createReadOnlyValidator()

  Creates and returns a `TransactionValidator` which is used to validate a read write transaction.

  Returns:
    the transaction validator that will validate the read write transaction
  Since:
    1.1

### createReadWriteValidator

    TransactionValidator createReadWriteValidator()

  Creates and returns a `TransactionValidator` which is used to validate a read only transaction.

  Returns:
    the transaction validator that will validate the read only transaction
  Since:
    1.1

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.